Subject: Re: bug#7487: 24.0.50; Gnus nnimap broken

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Dec 2010 21:55:35 -0500

> The Agent should ideally just "extend" the article storage, but
> otherwise be invisible to the user.  I think that, at the very least,
> the Agent storage for a particular group should be nuked if the
> UIDVALIDITY of the IMAP mailbox changes, but I'm not sure that's
> sufficient.  And it's not been easy to find out what the failure modes
> actually are, because when people get problems in this area, they ask
> for advice, and are told "rm -r", and things just work.  But it doesn't
> help debugging any.  :-/

I'd be happy to help debug it: I use the Agent and I access my imap
account from multiple machines.  And since the nnimap rewrite I feel
like I keep reading the same email messages whenever I move from one
machine to another.

        Stefan